%define upstream_name TAP-Harness-Archive
%define upstream_version 0.15

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 1
Summary:        Create an archive of TAP test results
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://www.cpan.org/authors/id/W/WO/WONKO/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Archive::Tar)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(TAP::Harness) >= 3.05
BuildRequires:  perl(YAML::Tiny)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Pod::Coverage)
Requires:       perl(TAP::Harness) >= 3.05
Requires:       perl

%description
This module is a direct subclass of TAP::Harness and behaves in exactly the
same way except for one detail. In addition to outputting a running progress
of the tests and an ending summary it can also capture all of the raw TAP
from the individual test files or streams into an archive file (.tar or
.tar.gz).


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Thu Sep 26 2013 sander85 <sander85> 0.150.0-1.mga4
+ Revision: 487044
- update to 0.15

* Sun Jan 13 2013 umeabot <umeabot> 0.14-2.mga3
+ Revision: 373010
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 15 2011 saispo <saispo> 0.14-1.mga1
+ Revision: 72146
- imported package perl-TAP-Harness-Archive

